Show / Hide Table of Contents

# Struct StbUndoState

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct StbUndoState

### Fields

| Improve this Doc View Source

#### redo_char_point

##### Declaration

    public int redo_char_point

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### redo_point

##### Declaration

    public short redo_point

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### undo_char

##### Declaration

    public ushort *undo_char

##### Field Value

Type | Description
--- | ---
System.UInt16* |

| Improve this Doc View Source

#### undo_char_point

##### Declaration

    public int undo_char_point

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### undo_point

##### Declaration

    public short undo_point

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### undo_rec_0

##### Declaration

    public StbUndoRecord undo_rec_0

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_1

##### Declaration

    public StbUndoRecord undo_rec_1

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_10

##### Declaration

    public StbUndoRecord undo_rec_10

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_11

##### Declaration

    public StbUndoRecord undo_rec_11

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_12

##### Declaration

    public StbUndoRecord undo_rec_12

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_13

##### Declaration

    public StbUndoRecord undo_rec_13

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_14

##### Declaration

    public StbUndoRecord undo_rec_14

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_15

##### Declaration

    public StbUndoRecord undo_rec_15

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_16

##### Declaration

    public StbUndoRecord undo_rec_16

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_17

##### Declaration

    public StbUndoRecord undo_rec_17

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_18

##### Declaration

    public StbUndoRecord undo_rec_18

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_19

##### Declaration

    public StbUndoRecord undo_rec_19

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_2

##### Declaration

    public StbUndoRecord undo_rec_2

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_20

##### Declaration

    public StbUndoRecord undo_rec_20

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_21

##### Declaration

    public StbUndoRecord undo_rec_21

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_22

##### Declaration

    public StbUndoRecord undo_rec_22

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_23

##### Declaration

    public StbUndoRecord undo_rec_23

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_24

##### Declaration

    public StbUndoRecord undo_rec_24

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_25

##### Declaration

    public StbUndoRecord undo_rec_25

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_26

##### Declaration

    public StbUndoRecord undo_rec_26

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_27

##### Declaration

    public StbUndoRecord undo_rec_27

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_28

##### Declaration

    public StbUndoRecord undo_rec_28

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_29

##### Declaration

    public StbUndoRecord undo_rec_29

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_3

##### Declaration

    public StbUndoRecord undo_rec_3

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_30

##### Declaration

    public StbUndoRecord undo_rec_30

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_31

##### Declaration

    public StbUndoRecord undo_rec_31

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_32

##### Declaration

    public StbUndoRecord undo_rec_32

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_33

##### Declaration

    public StbUndoRecord undo_rec_33

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_34

##### Declaration

    public StbUndoRecord undo_rec_34

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_35

##### Declaration

    public StbUndoRecord undo_rec_35

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_36

##### Declaration

    public StbUndoRecord undo_rec_36

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_37

##### Declaration

    public StbUndoRecord undo_rec_37

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_38

##### Declaration

    public StbUndoRecord undo_rec_38

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_39

##### Declaration

    public StbUndoRecord undo_rec_39

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_4

##### Declaration

    public StbUndoRecord undo_rec_4

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_40

##### Declaration

    public StbUndoRecord undo_rec_40

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_41

##### Declaration

    public StbUndoRecord undo_rec_41

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_42

##### Declaration

    public StbUndoRecord undo_rec_42

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_43

##### Declaration

    public StbUndoRecord undo_rec_43

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_44

##### Declaration

    public StbUndoRecord undo_rec_44

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_45

##### Declaration

    public StbUndoRecord undo_rec_45

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_46

##### Declaration

    public StbUndoRecord undo_rec_46

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_47

##### Declaration

    public StbUndoRecord undo_rec_47

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_48

##### Declaration

    public StbUndoRecord undo_rec_48

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_49

##### Declaration

    public StbUndoRecord undo_rec_49

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_5

##### Declaration

    public StbUndoRecord undo_rec_5

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_50

##### Declaration

    public StbUndoRecord undo_rec_50

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_51

##### Declaration

    public StbUndoRecord undo_rec_51

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_52

##### Declaration

    public StbUndoRecord undo_rec_52

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_53

##### Declaration

    public StbUndoRecord undo_rec_53

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_54

##### Declaration

    public StbUndoRecord undo_rec_54

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_55

##### Declaration

    public StbUndoRecord undo_rec_55

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_56

##### Declaration

    public StbUndoRecord undo_rec_56

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_57

##### Declaration

    public StbUndoRecord undo_rec_57

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_58

##### Declaration

    public StbUndoRecord undo_rec_58

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_59

##### Declaration

    public StbUndoRecord undo_rec_59

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_6

##### Declaration

    public StbUndoRecord undo_rec_6

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_60

##### Declaration

    public StbUndoRecord undo_rec_60

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_61

##### Declaration

    public StbUndoRecord undo_rec_61

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_62

##### Declaration

    public StbUndoRecord undo_rec_62

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_63

##### Declaration

    public StbUndoRecord undo_rec_63

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_64

##### Declaration

    public StbUndoRecord undo_rec_64

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_65

##### Declaration

    public StbUndoRecord undo_rec_65

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_66

##### Declaration

    public StbUndoRecord undo_rec_66

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_67

##### Declaration

    public StbUndoRecord undo_rec_67

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_68

##### Declaration

    public StbUndoRecord undo_rec_68

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_69

##### Declaration

    public StbUndoRecord undo_rec_69

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_7

##### Declaration

    public StbUndoRecord undo_rec_7

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_70

##### Declaration

    public StbUndoRecord undo_rec_70

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_71

##### Declaration

    public StbUndoRecord undo_rec_71

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_72

##### Declaration

    public StbUndoRecord undo_rec_72

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_73

##### Declaration

    public StbUndoRecord undo_rec_73

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_74

##### Declaration

    public StbUndoRecord undo_rec_74

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_75

##### Declaration

    public StbUndoRecord undo_rec_75

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_76

##### Declaration

    public StbUndoRecord undo_rec_76

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_77

##### Declaration

    public StbUndoRecord undo_rec_77

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_78

##### Declaration

    public StbUndoRecord undo_rec_78

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_79

##### Declaration

    public StbUndoRecord undo_rec_79

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_8

##### Declaration

    public StbUndoRecord undo_rec_8

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_80

##### Declaration

    public StbUndoRecord undo_rec_80

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_81

##### Declaration

    public StbUndoRecord undo_rec_81

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_82

##### Declaration

    public StbUndoRecord undo_rec_82

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_83

##### Declaration

    public StbUndoRecord undo_rec_83

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_84

##### Declaration

    public StbUndoRecord undo_rec_84

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_85

##### Declaration

    public StbUndoRecord undo_rec_85

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_86

##### Declaration

    public StbUndoRecord undo_rec_86

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_87

##### Declaration

    public StbUndoRecord undo_rec_87

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_88

##### Declaration

    public StbUndoRecord undo_rec_88

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_89

##### Declaration

    public StbUndoRecord undo_rec_89

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_9

##### Declaration

    public StbUndoRecord undo_rec_9

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_90

##### Declaration

    public StbUndoRecord undo_rec_90

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_91

##### Declaration

    public StbUndoRecord undo_rec_91

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_92

##### Declaration

    public StbUndoRecord undo_rec_92

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_93

##### Declaration

    public StbUndoRecord undo_rec_93

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_94

##### Declaration

    public StbUndoRecord undo_rec_94

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_95

##### Declaration

    public StbUndoRecord undo_rec_95

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_96

##### Declaration

    public StbUndoRecord undo_rec_96

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_97

##### Declaration

    public StbUndoRecord undo_rec_97

##### Field Value

Type | Description
--- | ---
StbUndoRecord |

| Improve this Doc View Source

#### undo_rec_98

##### Declaration

    public StbUndoRecord undo_rec_98

##### Field Value

Type | Description
--- | ---
StbUndoRecord |